Commit 7e9fc24b authored by Tim-Philipp Müller's avatar Tim-Philipp Müller 🐠

Add uninstalled pkg-config file so other modules can find libav elements for unit tests

e.g. gst-plugins-bad has some unit tests that draw on av* elements.
parent 1549809d
DISTCHECK_CONFIGURE_FLAGS=--enable-gtk-doc
COMMON_SUBDIRS = ext docs common tests
SUBDIRS = $(LIBAV_SUBDIRS) $(COMMON_SUBDIRS)
DIST_SUBDIRS = $(COMMON_SUBDIRS) gst-libs
SUBDIRS = $(LIBAV_SUBDIRS) $(COMMON_SUBDIRS) pkgconfig
DIST_SUBDIRS = $(COMMON_SUBDIRS) gst-libs pkgconfig
# include before EXTRA_DIST for win32 assignment
include $(top_srcdir)/common/win32.mak
......
......@@ -428,6 +428,8 @@ docs/version.entities
tests/Makefile
tests/check/Makefile
tests/files/Makefile
pkgconfig/Makefile
pkgconfig/gstreamer-plugins-libav-uninstalled.pc
)
AC_OUTPUT
......
### all of the standard pc files we need to generate
pcverfiles = \
gstreamer-plugins-libav-@GST_API_VERSION@.pc
pcverfiles_uninstalled = \
gstreamer-plugins-libav-@GST_API_VERSION@-uninstalled.pc
### all-local: $(pcverfiles) $(pcverfiles_uninstalled)
all-local: $(pcverfiles_uninstalled)
cp_verbose = $(cp_verbose_$(V))
cp_verbose_ = $(cp_verbose_$(AM_DEFAULT_VERBOSITY))
cp_verbose_0 = @echo " CP $@";
### how to generate versioned .pc files from .pc files in this dir
%-@GST_API_VERSION@.pc: %.pc
$(cp_verbose)cp $< $@
%-@GST_API_VERSION@-uninstalled.pc: %-uninstalled.pc
$(cp_verbose)cp $< $@
# do not install for now
# pkgconfigdir = $(libdir)/pkgconfig
# pkgconfig_DATA = $(pcverfiles)
CLEANFILES = $(pcverfiles) $(pcverfiles_uninstalled)
# pcinfiles = \
# gstreamer-plugins-libav.pc.in gstreamer-plugins-libav-uninstalled.pc.in
pcinfiles = \
gstreamer-plugins-libav-uninstalled.pc.in
DISTCLEANFILES = $(pcinfiles:.in=)
EXTRA_DIST = $(pcinfiles)
prefix=
exec_prefix=
libdir=@abs_top_builddir@/gst-libs/gst
includedir=@abs_top_builddir@/gst-libs
pluginsdir=@abs_top_builddir@
Name: GStreamer Libav Plugins, Uninstalled
Description: Streaming media framework, libav plugins, uninstalled
Version: @VERSION@
Requires: gstreamer-@GST_API_VERSION@ gstreamer-plugins-base-@GST_API_VERSION@
Libs:
Cflags:
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment